
Redmine - Defect #11489

Redmine is not able to show wiki images properly

2012-07-24 09:49 - Michael Rüegg

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hi. My redmine installation (Ubuntu 12.04, redmine 1.3.2) is not able to show images on wiki pages properly. Sometimes they show

up, and sometimes they do not. My issue seams related to this:

http://www.redmine.org/boards/2/topics/7015

Unfortunately, that was never resolved. It happens with images I have attached to the wiki page, e.g.:

!{width:450px}/attachments/download/2/buildconsole.png!

History

#1 - 2012-07-24 18:19 - Jean-Philippe Lang

Sorry but you'll have to be a bit more specific here if you want this issue to be investigated.

#2 - 2012-07-25 09:26 - Michael Rüegg

Jean-Philippe Lang wrote:

Sorry but you'll have to be a bit more specific here if you want this issue to be investigated.

 Okay, sorry. Maybe an example helps: The problem described happends on the following redmine instance: http://sconsolidator.com/. As you can

see, the two images on the wiki main page sometimes appear, sometimes they do not. Normally, a few page refreshes help. Any idea? Thanks.

#3 - 2012-07-27 20:57 - Jean-Philippe Lang

- Priority changed from High to Low

Tried a dozen times without problem.

#4 - 2012-07-27 20:57 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#5 - 2012-07-30 16:07 - Michael Rüegg

What do you mean by "without problem"? Do you always see all the pictures on the following page without the need to reload it?

http://sconsolidator.com/projects/sconsolidator/wiki/Getting_Started

I have a couple of customers which have experienced this issue of not seeing all images at once. It is very inconvenient when you have to say them

they should always reload the page a couple of times!

#6 - 2012-07-30 18:46 - Jean-Philippe Lang

Oh i looked at the first one only. I get a lot of 500 errors on images. You need to provide the error stack trace that you'll find in your application.log

(see SubmittingBugs).

#7 - 2012-07-31 09:52 - Michael Rüegg

- File errlog.txt added

You're right, I get a lot of 500 errors for certain images, e.g.:
x.x.x.x - - [31/Jul/2012:09:24:19 +0200] "GET /attachments/download/19/dependencyview2.png HTTP/1.1" 500 958

"http://sconsolidator.com/projects/sconsolidator/wiki/Getting_Started" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/535.19 (KHTML, like Gecko)

Ubuntu/12.04 Chromium/18.0.1025.168 Chrome/18.0.1025.168 Safari/535.19"

But this does not happen all the time and not with all images and is hence not deterministic. Any ideas what could cause this 500 errors? Attached I

send you the error log with the exceptions.

#8 - 2013-04-18 08:16 - Cecilia Dahlgren

Hello

I experience this problem as well, when I add a image to an issue or to a wiki page using this syntax

 image_file_name 

i does not show, but it is not always, sometimes it works.

If you create a page it works once and next time if you upload a new image file with the same name it suddenly do not show the image any longer.

Best Regards

Cecilia

Environment:

Redmine version                          2.2.3.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.12

Environment                              production

Database adapter                         Mysql2

#9 - 2013-04-19 09:58 - Cecilia Dahlgren

Hello again,

I think I know when the problem comes, if you have a name with spaces in the image file name it do not work.

Always choose a name that do not contains any spaces.

I had a name "file name.png" when I changed to "file_name.png" it worked again.

Best Regards

Cecilia Dahlgren

#10 - 2013-04-19 15:19 - Etienne Massip

Cecilia Dahlgren wrote:

Hello again,

I think I know when the problem comes, if you have a name with spaces in the image file name it do not work.

Always choose a name that do not contains any spaces.

I had a name "file name.png" when I changed to "file_name.png" it worked again.

Best Regards

Cecilia Dahlgren

 You can upload the file with space in name but you have to use underscore in place in !my_image! image tag.

Files

errlog.txt 33 KB 2012-07-31 Michael Rüegg
